{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('configuration/open_immo_ftp_credential/overview') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('configuration/open_immo_ftp_credential/overview') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <span class="text-primary fs-5 align-self-center">OpenImmo-Export konfigurieren</span>
        <a href="{{ path('configuration_open_immo_ftp_credentials_create') }}" class="mdc-button mdc-button--raised mdc-button--leading ms-auto align-self-center">
            <span class="mdc-button__ripple"></span>
            <i class="material-icons mdc-button__icon" aria-hidden="true">add</i>
            <span class="mdc-button__label d-none d-md-block">Portal hinzufügen</span>
        </a>
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4 p-4">
            <h2 class="mb-3 fs-3">Externe Immobilienportale anbinden</h2>
            <p>
                Sie haben die Möglichkeit, leerstehende oder leerfallende Objekte aus LeAn® an externe Immobilienportale zu übertragen.
                Für die Übertragung wird der <strong>OpenImmo-Standard</strong> genutzt.
                Zur Übertragung ist es notwendig, dass Sie beim Empfänger-Portal einen gültigen Account haben.
                Um ein neues Portal einzurichten, nutzen Sie bitte den Button oben rechts.
                Sobald mindestens ein Portal eingerichtet ist, erhalten Sie die Möglichkeit,
                aus der Objektverwaltung im Bereich "Besatz und Leerstand" Objekte für eine Übertragung auszuwählen.
            </p>
        </div>
        <div class="mdc-card mb-4">
            <div class="p-4">
                <h3 class="mb-3 fs-4">Eingerichtete Portale</h3>
            </div>
            {% include 'configuration/component/open_immo_ftp_credential/open_immo_ftp_credential_list_component.html.twig' with {
                'idPrefix': 'open_immo_ftp_credential_',
                'listItems': openImmoFtpCredentials,
                'showEditButton': true,
                'massOperation': false,
                'pagination': false,
                'sortable': false,
                'noEntriesText': 'Aktuell sind keine externen Immobilienportale konfiguriert.'
            } only %}
        </div>
    </div>
{% endblock %}
